メインコンテンツまでスキップ

Storage Integration の詳細を取得します (V2)

この操作は、バケットストレージ統合の詳細を取得します。プロジェクトスコープは integration ID から解決されます。

GET/v2/storageIntegrations/{integrationId}
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つ API key である必要があります。

値の例: Bearer {{TOKEN}}
integrationIdstringpath必要

ストレージ統合の ID。

値の例: integ-xxxxxxxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"
export integrationId="integ-xxxxxxxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/storageIntegrations/${integrationId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

ストレージ統合の詳細を返します。

成功レスポンス。

codeinteger<int32>

レスポンスコード。

値の例: 0
dataobject

ストレージ統合の詳細を返します。

integrationIdstring

ストレージ統合の ID。

namestring

ストレージ統合の名前。

descriptionstring

ストレージ統合の説明。

statusstring

ストレージ統合のステータス。

messagestring

ストレージ統合のステータスメッセージ。

regionIdstring

ストレージ統合のリージョンの ID。

bucketNamestring

統合ストレージバケットの名前。

externalCredobject

ストレージ統合の外部クラウド認証情報。

roleArnstring

引き受ける IAM ロールの ARN。

externalIdstring

ロールを引き受けるときに使用する外部 ID。

accountNamestring

クラウドアカウントの名前。

clientIdstring

Azure アプリケーションのクライアント ID。

tenantIdstring

Azure ディレクトリのテナント ID。

gcpProjectIdstring

Google Cloud プロジェクトの ID。

serviceAccountEmailstring

Google Cloud サービスアカウントのメールアドレス。

createTimestring

ストレージ統合が作成された時刻。

失敗レスポンス。

codeinteger

レスポンスコード。

値の例: 1800
messagestring

エラーメッセージ。

値の例: User hasn't authenticated
Failurejson
{
"code": 1800,
"message": "User hasn't authenticated"
}